View Issue Details

IDProjectCategoryView StatusLast Update
0000925luatexluatex bugpublic2016-05-14 16:34
Reporterluigi scarsoAssigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version0.79.2 
Target VersionFixed in Version0.80.0 
Summary0000925: No hyphenation when \lccodes zero with explicit hyphens
DescriptionWith minimal example

    \hsize=1.1cm %
    \noindent
    \hbox{}
    12-34-56

    \lccode`\2=`\2 %
    \lccode`\3=`\3 %
    \lccode`\4=`\4 %
    \noindent
    \hbox{}
    12-34-56
    \bye

LuaTeX as in TL2014 fails to break the first in the first paragraph but
does so in the second, whilst pdfTeX and XeTeX break both.
TagsNo tags attached.

Activities

luigi scarso

2015-02-25 00:06

developer   ~0001319

The bug was noticed by Joseph Wright --- see luatex ml
""No hyphenation when \lccodes zero with explicit hyphens""

Hans Hagen

2016-05-14 16:34

manager   ~0001606

use \hjcode instead

Issue History

Date Modified Username Field Change
2015-02-25 00:02 luigi scarso New Issue
2015-02-25 00:02 luigi scarso Status new => assigned
2015-02-25 00:02 luigi scarso Assigned To => luigi scarso
2015-02-25 00:06 luigi scarso Note Added: 0001319
2015-03-21 14:49 Hans Hagen Status assigned => resolved
2015-03-21 14:49 Hans Hagen Resolution open => fixed
2015-03-21 14:49 Hans Hagen Assigned To luigi scarso => Hans Hagen
2015-03-21 14:54 Hans Hagen Status resolved => closed
2015-03-21 14:54 Hans Hagen Fixed in Version => 0.80.0
2016-05-14 16:34 Hans Hagen Note Added: 0001606